
/* Common */

body {
    font-family: Arial, sans-serif;
}

button {
  padding: 8px 12px;
  margin: 5px;
  border: none;
  border-radius: 6px;
  background: #4a90e2;
  color: white;
  cursor: pointer;
}

button:hover {
  background: #357abd;
}

button:disabled {
  opacity: 0.5;
  cursor: not-allowed;
}

/* Form (Modal) */

  .modal {
    display: none;
    position: fixed;
    z-index: 1000;
    inset: 0;
    background: rgba(0,0,0,0.5);

    justify-content: center;
    align-items: center;
  }

  
  .modal-content {
    background: white;
    padding: 24px;
    border-radius: 12px;
    width: 320px;
    box-shadow: 0 10px 30px rgba(0,0,0,0.2);
  }

  .modal-content h2 {
    margin-top: 0;
  }

  .modal-content input {
    width: 100%;
    margin-bottom: 12px;
    padding: 10px;
    box-sizing: border-box;
  }

  .buttons {
    display: flex;
    gap: 10px;
    justify-content: flex-end;
  }

  .close {
    background: #ccc;
  }

  .save {
    background: #007bff;
    color: white;
    border: none;
  }

select {
  width: 100%;
  padding: 8px;
  border-radius: 4px;
  border: 1px solid #ccc;
}

.nav {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
}

#calendarHeader {
  display: grid;
  grid-template-columns: repeat(7, 1fr);
  font-weight: bold;
}

#calendar {
  display: grid;
  grid-template-columns: repeat(7, 1fr);
  gap: 5px;
}

.day {
  border: 1px solid #ccc;
  min-height: 100px;
  padding: 5px;
  font-size: 12px;
}

/* Heutiger Tag */
.today {
/*  background: #fff3cd;*/
  border: 2px solid #ffcc00;
}

.day-header {
  font-weight: bold;
}

.event {
  background: white;
  border: 1px solid #ccc;
  border-radius: 4px;
  font-size: 12px;
  display: flex;
  position: relative;
  padding-right: 18px; /* Platz für Button */
  margin-top: 5px;
  padding: 2px;
  min-height: 20px;
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
}

/* Papa = blau */
.event.papa {
  background: #cce5ff;
  border-color: #66b0ff;
}

/* Mama = rosa */
.event.mama {
  background: #ffd6e7;
  border-color: #ff99cc;
}


.delete-event {
  border: none;
  background: transparent;
  color: white;
  font-size: 11px;
  width: 14px;
  height: 14px;
  display: flex;
  align-items: center;
  justify-content: center;
  position: absolute;
  padding: 0;
  line-height:1;
  top: 1px;
  right: 4px;
  cursor: pointer;
  opacity: 0.7;
}

.delete-event:hover {
  opacity: 1;
  color: #ff4444;
}



/* Mobile Layout */
@media (max-width: 768px) {

  #calendar {
    gap: 2px;
  }

  .day {
    min-height: 70px;
    padding: 2px;
    font-size: 10px;
  }

  .event {
    font-size: 9px;
    padding: 1px;
  }


  .nav {
    flex-direction: row;
    justify-content: space-between;
  }

  h2 {
    font-size: 18px;
    text-align: center;
  }
}

